# Package org.apache.tomcat.util.http

package org.apache.tomcat.util.http
Special utils for handling HTTP-specific entities - headers, parameters, cookies, etc. The utils are not specific to tomcat, but use util.MessageBytes.

Related Packages
Package
Description
org.apache.tomcat.util
org.apache.tomcat.util.http.fileupload
NOTE: This code has been copied from commons-fileupload 1.x and commons-io 1.4 and package renamed to avoid clashes with any web apps that may wish to use these libraries.
org.apache.tomcat.util.http.parser
Class
Description
ConcurrentDateFormat
A thread safe wrapper around `SimpleDateFormat` that does not make use of ThreadLocal and - broadly - only creates enough SimpleDateFormat objects to satisfy the concurrency requirements.
CookieProcessor
Interface for processing HTTP cookies.
CookieProcessorBase
Base implementation of `CookieProcessor`.
CookiesWithoutEquals
Enum for handling cookies that do not contain an equals sign.
FastHttpDateFormat
Utility class to generate HTTP dates.
HeaderUtil
Utility methods for HTTP header processing.
Method
HTTP method constants and utilities.
MimeHeaders
Memory-efficient repository for Mime Headers.
Parameters
Utility class for parsing and managing HTTP parameters.
Parameters.FailReason
RequestUtil
Utility methods for HTTP request processing.
ResponseUtil
Utility methods for HTTP response handling.
Rfc6265CookieProcessor
A `CookieProcessor` implementation that follows RFC 6265 for cookie parsing and generation.
SameSiteCookies
Defines the possible values for the SameSite cookie attribute.
ServerCookie
Server-side cookie representation.
ServerCookies
This class is not thread-safe.
WebdavIfHeader
The `IfHeader` class represents the state lists defined through the HTTP If header, which is specified in RFC 2518 as follows :